#include <bits/stdc++.h>
using namespace std;

bool moze(int niz[],int l,int r)
{
    int br=0;
    for(int i=l;i<r;i++)
    {
        if(niz[i]>niz[i+1])
        {
            niz[i]=niz[i+1];
            br=br+1;
        }
    }
    if(br>1)
        return false;
    return true;
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n,q,niz[200001],nizt[200001],l,r;
    cin>>n;
    for(int i=0;i<n;i++)
    {
        cin>>niz[i];
    }
    cin>>q;
    for(int i=0;i<q;i++)
    {
        cin>>l>>r;
        l=l-1;
        r=r-1;
        for(int i=0;i<n;i++)
        {
            nizt[i]=niz[i];
        }
        if(moze(nizt,l,r))
        {
            cout<<"DA"<<endl;
        }
        else
        {
            cout<<"NE"<<endl;
        }
    }

    return 0;
}